- [CatalogBundle](#catalogbundle)
- [CheckoutBundle](#checkoutbundle)
- [FrontendLocalizationBundle](#frontendlocalizationbundle)
- [InventoryBundle](#inventorybundle)
- [PayPalBundle](#paypalbundle)
- [PaymentTermBundle](#paymenttermbundle)
- [PricingBundle](#pricingbundle)
- [ProductBundle](#productbundle)
- [RFPBundle](#rfpbundle)
- [RedirectBundle](#redirectbundle)
- [SaleBundle](#salebundle)
- [ShoppingListBundle](#shoppinglistbundle)
- [Testing](#Testing)
- [WebsiteSearchBundle](#websitesearchbundle)

CatalogBundle
-------------
* The `CategoryCountsExtension::__construct(ServiceLink $datagridManagerLink, ManagerRegistry $registry, ProductRepository $productSearchRepository, CategoryCountsCache $cache, DatagridParametersHelper $datagridParametersHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Datagrid/Extension/CategoryCountsExtension.php#L52 "Oro\Bundle\CatalogBundle\Datagrid\Extension\CategoryCountsExtension")</sup> method was changed to `CategoryCountsExtension::__construct(ServiceLink $datagridManagerLink, ManagerRegistry $registry, ProductRepository $productSearchRepository, CategoryCountsCache $cache, DatagridParametersHelper $datagridParametersHelper, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/CatalogBundle/Datagrid/Extension/CategoryCountsExtension.php#L67 "Oro\Bundle\CatalogBundle\Datagrid\Extension\CategoryCountsExtension")</sup>
* The `CategoryCountsCache::__construct(CacheProvider $cacheProvider, TokenAccessor $tokenAccessor)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CatalogBundle/Datagrid/Cache/CategoryCountsCache.php#L23 "Oro\Bundle\CatalogBundle\Datagrid\Cache\CategoryCountsCache")</sup> method was changed to `CategoryCountsCache::__construct(CacheProvider $cacheProvider, TokenAccessor $tokenAccessor, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/CatalogBundle/Datagrid/Cache/CategoryCountsCache.php#L29 "Oro\Bundle\CatalogBundle\Datagrid\Cache\CategoryCountsCache")</sup>

CheckoutBundle
--------------
* The following methods in class `CheckoutSubtotalRepository`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Entity/Repository/CheckoutSubtotalRepository.php#L58 "Oro\Bundle\CheckoutBundle\Entity\Repository\CheckoutSubtotalRepository")</sup> were removed:
   - `getBaseInvalidateQb`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Entity/Repository/CheckoutSubtotalRepository.php#L58 "Oro\Bundle\CheckoutBundle\Entity\Repository\CheckoutSubtotalRepository::getBaseInvalidateQb")</sup>
   - `invalidateTotals`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Entity/Repository/CheckoutSubtotalRepository.php#L77 "Oro\Bundle\CheckoutBundle\Entity\Repository\CheckoutSubtotalRepository::invalidateTotals")</sup>
* The `OrderLineItemConverter::__construct(ConfigManager $configManager, InventoryQuantityProviderInterface $quantityProvider, AuthorizationCheckerInterface $authorizationChecker, $configPath)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/CheckoutBundle/Converter/OrderLineItemConverter.php#L39 "Oro\Bundle\CheckoutBundle\Converter\OrderLineItemConverter")</sup> method was changed to `OrderLineItemConverter::__construct(ConfigManager $configManager, InventoryQuantityProviderInterface $quantityProvider, AuthorizationCheckerInterface $authorizationChecker, EntityFallbackResolver $entityFallbackResolver, $configPath)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/CheckoutBundle/Converter/OrderLineItemConverter.php#L44 "Oro\Bundle\CheckoutBundle\Converter\OrderLineItemConverter")</sup>

FrontendLocalizationBundle
--------------------------
* The `UserLocalizationManager::__construct(Session $session, TokenStorageInterface $tokenStorage, ConfigManager $configManager, WebsiteManager $websiteManager, BaseUserManager $userManager, LocalizationManager $localizationManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L50 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager")</sup> method was changed to `UserLocalizationManager::__construct(Session $session, TokenStorageInterface $tokenStorage, ManagerRegistry $doctrine, ConfigManager $configManager, WebsiteManager $websiteManager, LocalizationManager $localizationManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L50 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager")</sup>
* The `UserLocalizationManager::$userManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/FrontendLocalizationBundle/Manager/UserLocalizationManager.php#L37 "Oro\Bundle\FrontendLocalizationBundle\Manager\UserLocalizationManager::$userManager")</sup> property was removed.

InventoryBundle
---------------
* The `ProductUpcomingProvider`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Provider/ProductUpcomingProvider.php#L14 "Oro\Bundle\InventoryBundle\Provider\ProductUpcomingProvider")</sup> class was removed.
* The `UpcomingLabelCheckoutLineItemValidator::__construct(ProductUpcomingProvider $ProductUpcomingProvider, TranslatorInterface $translator, DateTimeFormatter $dateFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Validator/UpcomingLabelCheckoutLineItemValidator.php#L32 "Oro\Bundle\InventoryBundle\Validator\UpcomingLabelCheckoutLineItemValidator")</sup> method was changed to `UpcomingLabelCheckoutLineItemValidator::__construct(UpcomingProductProvider $ProductUpcomingProvider, TranslatorInterface $translator, DateTimeFormatter $dateFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/InventoryBundle/Validator/UpcomingLabelCheckoutLineItemValidator.php#L35 "Oro\Bundle\InventoryBundle\Validator\UpcomingLabelCheckoutLineItemValidator")</sup>
* The `CheckoutShipUntilValidator::__construct(ProductUpcomingProvider $upcomingProvider, CheckoutLineItemsManager $checkoutLineItemsManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Validator/Constraints/CheckoutShipUntilValidator.php#L28 "Oro\Bundle\InventoryBundle\Validator\Constraints\CheckoutShipUntilValidator")</sup> method was changed to `CheckoutShipUntilValidator::__construct(UpcomingProductProvider $upcomingProvider, CheckoutLineItemsManager $checkoutLineItemsManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/InventoryBundle/Validator/Constraints/CheckoutShipUntilValidator.php#L31 "Oro\Bundle\InventoryBundle\Validator\Constraints\CheckoutShipUntilValidator")</sup>
* The `ProductUpcomingExtension::__construct(ProductUpcomingProvider $provider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L15 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension")</sup> method was changed to `ProductUpcomingExtension::__construct(UpcomingProductProvider $provider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L18 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension")</sup>
* The `ProductUpcomingNormalizer::__construct(ProductUpcomingProvider $productUpcomingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/ImportExport/Serializer/ProductUpcomingNormalizer.php#L17 "Oro\Bundle\InventoryBundle\ImportExport\Serializer\ProductUpcomingNormalizer")</sup> method was changed to `ProductUpcomingNormalizer::__construct(UpcomingProductProvider $productUpcomingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/InventoryBundle/ImportExport/Serializer/ProductUpcomingNormalizer.php#L17 "Oro\Bundle\InventoryBundle\ImportExport\Serializer\ProductUpcomingNormalizer")</sup>
* The `CheckoutShipUntilFormExtension::__construct(ProductUpcomingProvider $provider, CheckoutLineItemsManager $checkoutLineItemsManager, DateTimeFormatter $dateTimeFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Form/Extension/CheckoutShipUntilFormExtension.php#L40 "Oro\Bundle\InventoryBundle\Form\Extension\CheckoutShipUntilFormExtension")</sup> method was changed to `CheckoutShipUntilFormExtension::__construct(UpcomingProductProvider $provider, CheckoutLineItemsManager $checkoutLineItemsManager, DateTimeFormatter $dateTimeFormatter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/InventoryBundle/Form/Extension/CheckoutShipUntilFormExtension.php#L40 "Oro\Bundle\InventoryBundle\Form\Extension\CheckoutShipUntilFormExtension")</sup>
* The `ProductNormalizerEventListener::__construct(ProductUpcomingProvider $productUpcomingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/EventListener/ProductNormalizerEventListener.php#L17 "Oro\Bundle\InventoryBundle\EventListener\ProductNormalizerEventListener")</sup> method was changed to `ProductNormalizerEventListener::__construct(UpcomingProductProvider $productUpcomingProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/InventoryBundle/EventListener/ProductNormalizerEventListener.php#L17 "Oro\Bundle\InventoryBundle\EventListener\ProductNormalizerEventListener")</sup>
* The `ProductDatagridUpcomingLabelListener::__construct(ProductUpcomingProvider $productUpcomingProvider, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/EventListener/Frontend/ProductDatagridUpcomingLabelListener.php#L32 "Oro\Bundle\InventoryBundle\EventListener\Frontend\ProductDatagridUpcomingLabelListener")</sup> method was changed to `ProductDatagridUpcomingLabelListener::__construct(UpcomingProductProvider $productUpcomingProvider, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/InventoryBundle/EventListener/Frontend/ProductDatagridUpcomingLabelListener.php#L32 "Oro\Bundle\InventoryBundle\EventListener\Frontend\ProductDatagridUpcomingLabelListener")</sup>
* The following methods in class `ProductUpcomingExtension`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L35 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension")</sup> were removed:
   - `isUpcoming`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L35 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension::isUpcoming")</sup>
   - `getAvailabilityDate`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/InventoryBundle/Twig/ProductUpcomingExtension.php#L44 "Oro\Bundle\InventoryBundle\Twig\ProductUpcomingExtension::getAvailabilityDate")</sup>

PayPalBundle
------------
* The `CurrencySelectionType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PayPalBundle/Form/Type/CurrencySelectionType.php#L9 "Oro\Bundle\PayPalBundle\Form\Type\CurrencySelectionType")</sup> class was removed.

PaymentTermBundle
-----------------
* The `CustomerDatagridListener::__construct(PaymentTermAssociationProvider $paymentTermAssociationProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PaymentTermBundle/EventListener/CustomerDatagridListener.php#L18 "Oro\Bundle\PaymentTermBundle\EventListener\CustomerDatagridListener")</sup> method was changed to `CustomerDatagridListener::__construct(PaymentTermAssociationProvider $paymentTermAssociationProvider, SelectedFieldsProviderInterface $selectedFieldsProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/PaymentTermBundle/EventListener/CustomerDatagridListener.php#L28 "Oro\Bundle\PaymentTermBundle\EventListener\CustomerDatagridListener")</sup>

PricingBundle
-------------
* The `UserCurrencyManager::__construct(Session $session, TokenStorageInterface $tokenStorage, CurrencyProviderInterface $currencyProvider, WebsiteManager $websiteManager, BaseUserManager $userManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Manager/UserCurrencyManager.php#L53 "Oro\Bundle\PricingBundle\Manager\UserCurrencyManager")</sup> method was changed to `UserCurrencyManager::__construct(Session $session, TokenStorageInterface $tokenStorage, ManagerRegistry $doctrine, CurrencyProviderInterface $currencyProvider, WebsiteManager $websiteManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/PricingBundle/Manager/UserCurrencyManager.php#L43 "Oro\Bundle\PricingBundle\Manager\UserCurrencyManager")</sup>
* The `UserCurrencyManager::$userManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Manager/UserCurrencyManager.php#L44 "Oro\Bundle\PricingBundle\Manager\UserCurrencyManager::$userManager")</sup> property was removed.
* The following methods in class `PriceListImportCommand`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListImportCommand.php#L109 "Oro\Bundle\PricingBundle\Command\PriceListImportCommand")</sup> were removed:
   - `getFileManager`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListImportCommand.php#L109 "Oro\Bundle\PricingBundle\Command\PriceListImportCommand::getFileManager")</sup>
   - `getImportHandler`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListImportCommand.php#L117 "Oro\Bundle\PricingBundle\Command\PriceListImportCommand::getImportHandler")</sup>
   - `getMessageProducer`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/PricingBundle/Command/PriceListImportCommand.php#L125 "Oro\Bundle\PricingBundle\Command\PriceListImportCommand::getMessageProducer")</sup>

ProductBundle
-------------
* The `SegmentMessageFactory::createMessage(array $websiteIds, Segment $segment = null, $definition = null, $isFull = true)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/Model/SegmentMessageFactory.php#L53 "Oro\Bundle\ProductBundle\Model\SegmentMessageFactory")</sup> method was changed to `SegmentMessageFactory::createMessage(array $websiteIds, Segment $segment = null, $definition = null, $isFull = true, array $additionalProducts = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/ProductBundle/Model/SegmentMessageFactory.php#L55 "Oro\Bundle\ProductBundle\Model\SegmentMessageFactory")</sup>
* The `FrontendProductDatagridListener::__construct(DataGridThemeHelper $themeHelper, CacheManager $imagineCacheManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L40 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener")</sup> method was changed to `FrontendProductDatagridListener::__construct(DataGridThemeHelper $themeHelper, CacheManager $imagineCacheManager, ImagePlaceholderProviderInterface $imagePlaceholderProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/ProductBundle/EventListener/FrontendProductDatagridListener.php#L45 "Oro\Bundle\ProductBundle\EventListener\FrontendProductDatagridListener")</sup>
* The `ProductCollectionAwareContentVariantEntityListener::__construct(ProductCollectionVariantReindexMessageSendListener $reindexEventListener)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/EventListener/ProductCollectionAwareContentVariantEntityListener.php#L22 "Oro\Bundle\ProductBundle\EventListener\ProductCollectionAwareContentVariantEntityListener")</sup> method was changed to `ProductCollectionAwareContentVariantEntityListener::__construct(ProductCollectionVariantReindexMessageSendListener $reindexEventListener, ProductCollectionDefinitionConverter $productCollectionDefinitionConverter)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/ProductBundle/EventListener/ProductCollectionAwareContentVariantEntityListener.php#L29 "Oro\Bundle\ProductBundle\EventListener\ProductCollectionAwareContentVariantEntityListener")</sup>
* The `ProductCollectionVariantReindexMessageSendListener::scheduleSegment(Segment $segment, $isFull = false)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/EventListener/ProductCollectionVariantReindexMessageSendListener.php#L68 "Oro\Bundle\ProductBundle\EventListener\ProductCollectionVariantReindexMessageSendListener")</sup> method was changed to `ProductCollectionVariantReindexMessageSendListener::scheduleSegment(Segment $segment, $isFull = false, array $additionalProducts = [])`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/ProductBundle/EventListener/ProductCollectionVariantReindexMessageSendListener.php#L73 "Oro\Bundle\ProductBundle\EventListener\ProductCollectionVariantReindexMessageSendListener")</sup>
* The `FrontendProductFilterSorterDisablingEventListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, ProductRepository $productRepository, DoctrineHelper $doctrineHelper, ServiceLink $datagridManagerLink, DatagridStateProviderInterface $filtersStateProvider, DatagridStateProviderInterface $sortersStateProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductFilterSorterDisablingEventListener.php#L77 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductFilterSorterDisablingEventListener")</sup> method was changed to `FrontendProductFilterSorterDisablingEventListener::__construct(AttributeManager $attributeManager, AttributeTypeRegistry $attributeTypeRegistry, AttributeConfigurationProvider $configurationProvider, ProductRepository $productRepository, DoctrineHelper $doctrineHelper, ServiceLink $datagridManagerLink, DatagridStateProviderInterface $filtersStateProvider, DatagridStateProviderInterface $sortersStateProvider, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/FrontendProductFilterSorterDisablingEventListener.php#L79 "Oro\Bundle\ProductBundle\DataGrid\EventListener\FrontendProductFilterSorterDisablingEventListener")</sup>
* The `SearchContentVariantFilteringEventListener::__construct(RequestContentVariantHandler $requestHandler)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/SearchContentVariantFilteringEventListener.php#L26 "Oro\Bundle\ProductBundle\DataGrid\EventListener\SearchContentVariantFilteringEventListener")</sup> method was changed to `SearchContentVariantFilteringEventListener::__construct(RequestContentVariantHandler $requestHandler, ConfigManager $configManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/ProductBundle/DataGrid/EventListener/SearchContentVariantFilteringEventListener.php#L38 "Oro\Bundle\ProductBundle\DataGrid\EventListener\SearchContentVariantFilteringEventListener")</sup>

RFPBundle
---------
* The `AbstractCustomerViewListener`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RFPBundle/EventListener/AbstractCustomerViewListener.php#L13 "Oro\Bundle\RFPBundle\EventListener\AbstractCustomerViewListener")</sup> class was removed.

RedirectBundle
--------------
* The `MatchedUrlDecisionMaker::__construct(FrontendHelper $frontendHelper, $installed)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L28 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker")</sup> method was changed to `MatchedUrlDecisionMaker::__construct(FrontendHelper $frontendHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L21 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker")</sup>
* The `MatchedUrlDecisionMaker::$installed`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/RedirectBundle/Routing/MatchedUrlDecisionMaker.php#L12 "Oro\Bundle\RedirectBundle\Routing\MatchedUrlDecisionMaker::$installed")</sup> property was removed.

SaleBundle
----------
* The `QuotePriceComparator::__construct(Quote $quote)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Quote/Pricing/QuotePriceComparator.php#L18 "Oro\Bundle\SaleBundle\Quote\Pricing\QuotePriceComparator")</sup> method was changed to `QuotePriceComparator::__construct(Quote $quote, QuoteProductPriceProvider $provider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/SaleBundle/Quote/Pricing/QuotePriceComparator.php#L23 "Oro\Bundle\SaleBundle\Quote\Pricing\QuotePriceComparator")</sup>
* The `QuoteProductPriceProvider::__construct(ProductPriceProviderInterface $productPriceProvider, ProductPriceScopeCriteriaFactoryInterface $priceScopeCriteriaFactory, CurrencyProviderInterface $currencyProvider)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Provider/QuoteProductPriceProvider.php#L40 "Oro\Bundle\SaleBundle\Provider\QuoteProductPriceProvider")</sup> method was changed to `QuoteProductPriceProvider::__construct(ProductPriceProviderInterface $productPriceProvider, ProductPriceScopeCriteriaFactoryInterface $priceScopeCriteriaFactory, CurrencyProviderInterface $currencyProvider, DoctrineHelper $doctrineHelper)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/SaleBundle/Provider/QuoteProductPriceProvider.php#L50 "Oro\Bundle\SaleBundle\Provider\QuoteProductPriceProvider")</sup>
* The `QuotePriceComparator::$quotePrices`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/SaleBundle/Quote/Pricing/QuotePriceComparator.php#L13 "Oro\Bundle\SaleBundle\Quote\Pricing\QuotePriceComparator::$quotePrices")</sup> property was removed.

ShoppingListBundle
------------------
* The `LineItemHandler::__construct(FormInterface $form, Request $request, ManagerRegistry $doctrine, ShoppingListManager $shoppingListManager, CurrentShoppingListManager $currentShoppingListManager)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Form/Handler/LineItemHandler.php#L43 "Oro\Bundle\ShoppingListBundle\Form\Handler\LineItemHandler")</sup> method was changed to `LineItemHandler::__construct(FormInterface $form, Request $request, ManagerRegistry $doctrine, ShoppingListManager $shoppingListManager, CurrentShoppingListManager $currentShoppingListManager, ValidatorInterface $validator)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/ShoppingListBundle/Form/Handler/LineItemHandler.php#L51 "Oro\Bundle\ShoppingListBundle\Form\Handler\LineItemHandler")</sup>
* The `ShoppingListTotalRepository::invalidateTotals`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/ShoppingListBundle/Entity/Repository/ShoppingListTotalRepository.php#L106 "Oro\Bundle\ShoppingListBundle\Entity\Repository\ShoppingListTotalRepository::invalidateTotals")</sup> method was removed.

Testing
-------
* The following classes were removed:
   - `AddressFormExtensionTestCase`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Component/Testing/Unit/AddressFormExtensionTestCase.php#L17 "Oro\Component\Testing\Unit\AddressFormExtensionTestCase")</sup>
   - `FormViewListenerTestCase`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Component/Testing/Unit/FormViewListenerTestCase.php#L12 "Oro\Component\Testing\Unit\FormViewListenerTestCase")</sup>
   - `EntityIdentifierType`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Component/Testing/Unit/Form/Type/Stub/EntityIdentifierType.php#L8 "Oro\Component\Testing\Unit\Form\Type\Stub\EntityIdentifierType")</sup>
   - `AddressCountryAndRegionSubscriberStub`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Component/Testing/Unit/Form/EventListener/Stub/AddressCountryAndRegionSubscriberStub.php#L7 "Oro\Component\Testing\Unit\Form\EventListener\Stub\AddressCountryAndRegionSubscriberStub")</sup>

WebsiteSearchBundle
-------------------
* The `WebsiteSearchController`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Controller/Frontend/WebsiteSearchController.php#L12 "Oro\Bundle\WebsiteSearchBundle\Controller\Frontend\WebsiteSearchController")</sup> class was removed.
* The `DriverDecorator::saveItems`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/ORM/Driver/DriverDecorator.php#L113 "Oro\Bundle\WebsiteSearchBundle\Engine\ORM\Driver\DriverDecorator::saveItems")</sup> method was removed.
* The `DriverInterface::saveItems`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/ORM/Driver/DriverInterface.php#L79 "Oro\Bundle\WebsiteSearchBundle\Engine\ORM\Driver\DriverInterface::saveItems")</sup> method was removed.
* The `SearchMessageProcessor::__construct(IndexerInterface $indexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/3.1.0/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L56 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup> method was changed to `SearchMessageProcessor::__construct(IndexerInterface $indexer, MessageProducerInterface $messageProducer, IndexerInputValidator $indexerInputValidator, ReindexMessageGranularizer $reindexMessageGranularizer, JobRunner $jobRunner, LoggerInterface $logger)`<sup>[[?]](https://github.com/oroinc/orocommerce/tree/4.0.0-beta/src/Oro/Bundle/WebsiteSearchBundle/Engine/AsyncMessaging/SearchMessageProcessor.php#L63 "Oro\Bundle\WebsiteSearchBundle\Engine\AsyncMessaging\SearchMessageProcessor")</sup>

