<?php

namespace Oro\Bundle\ProductBundle\ImportExport\Normalizer;

use Oro\Bundle\ImportExportBundle\Serializer\Normalizer\ConfigurableEntityNormalizer;
use Oro\Bundle\ProductBundle\Entity\ProductImageType;

class ProductImageTypeNormalizer extends ConfigurableEntityNormalizer
{
    /**
     * @var string
     */
    protected $productImageTypeClass;

    /**
     * @param $productImageTypeClass
     */
    public function setProductImageTypeClass($productImageTypeClass)
    {
        $this->productImageTypeClass = $productImageTypeClass;
    }

    /**
     * {@inheritdoc}
     */
    public function denormalize($data, $class, $format = null, array $context = [])
    {
        return new ProductImageType($data);
    }

    /**
     * {@inheritdoc}
     */
    public function supportsDenormalization($data, $type, $format = null, array $context = [])
    {
        return is_a($type, $this->productImageTypeClass, true);
    }

    /**
     * {@inheritdoc}
     */
    public function supportsNormalization($data, $format = null, array $context = [])
    {
        return is_a($data, $this->productImageTypeClass);
    }
}
